<h1 mat-dialog-title>{{ "party" | translate }}</h1>
<div mat-dialog-content>
	<mat-form-field>
		<mat-label>{{ "party.code" | translate }}</mat-label>
		<input matInput [ngModel]="partyCode" readonly />
	</mat-form-field>
	<mat-form-field>
		<mat-label>{{ "level" | translate }}</mat-label>
		<input
			matInput
			[ngModel]="'level.' + partyData!.level | translate"
			readonly
			*ngIf="!firstParticipant"
		/>
		<mat-select
			[value]="partyData!.level"
			(valueChange)="levelChange($event)"
			*ngIf="firstParticipant"
		>
			<mat-option value="easy">{{ "level.easy" | translate }}</mat-option>
			<mat-option value="medium">{{ "level.medium" | translate }}</mat-option>
			<mat-option value="difficult">{{
				"level.difficult" | translate
			}}</mat-option>
		</mat-select>
	</mat-form-field>
	<mat-list>
		<p mat-subheader>{{ "party.participants" | translate }}</p>
		<mat-list-item *ngFor="let participant of partyData.participants">
			<img
				matListAvatar
				[src]="participant.photoURL || 'assets/no-photo.png'"
				[alt]="participant.displayName"
			/>
			<h3 matLine>{{ participant.displayName }}</h3>
		</mat-list-item>
	</mat-list>
	<button mat-button (click)="invite()">
		<mat-icon>share</mat-icon>
		{{ "party.invite" | translate }}
	</button>
</div>
<div mat-dialog-actions>
	<button
		mat-raised-button
		color="primary"
		[disabled]="!firstParticipant || partyData!.participants.length < 2"
		(click)="play()"
	>
		{{ "party.play" | translate }}
	</button>
	<button mat-raised-button (click)="dialogRef.close()">
		{{ "party.abandon" | translate }}
	</button>
</div>
